CVE-2016-10009

Public on 2017-10-03
Modified on 2017-10-03
Description
It was found that ssh-agent could load PKCS#11 modules from arbitrary paths. An attacker having control of the forwarded agent-socket on the server, and the ability to write to the filesystem of the client host, could use this flaw to execute arbitrary code with the privileges of the user running ssh-agent.
Severity
Medium
CVSS v3 Base Score
6.6
See breakdown

Affected Packages

Platform Package Release Date Advisory
Amazon Linux 1 openssh 2017-10-03 11:00 ALAS-2017-898

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv2 4.6 AV:N/AC:H/Au:S/C:P/I:P/A:P
Amazon Linux CVSSv3 6.6 CVSS:3.0/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
NVD CVSSv2 7.5 AV:N/AC:L/Au:N/C:P/I:P/A:P
NVD CVSSv3 7.3 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L